FORMAT OPTIONS
Choose the representation of the 1-wire unique identifiers. OWFS uses these identifiers as unique directory names.

Although several display formats are selectable, all must be in family-id-crc8 form, unlike some other programs and the labelling on iButtons, which are crc8-id-family form.

  -f --format="f[.]i[[.]c]"
Display format for the 1-wire devices. Each device has a 8byte address, consisting of:

f   family code, 1 byte

i   ID number, 6 bytes

c   CRC checksum, 1 byte

Possible formats are f.i (default, 01.A1B2C3D4E5F6), fi fic f.ic f.i.c and fi.c

All formats are accepted as input, but the output will be in the specified format.

The address elements can be retrieved from a device entry in owfs by the family, id and crc8 properties, and as a whole with address. The reversed id and address can be retrieved as r_id and r_address.